<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_9a1d01ea56101db475f6e198f" . "06a4f9d" => base64_decode("c3Fsc3J2X2ZyZWVfc3R" . "tdA=="), "_a591754a8ddcdbda9c80f1db4d91" . "1e14" => base64_decode("aXNfbn" . "VsbA=="), "_020048b1b65987544bdb5f9afa692a0" . "f" => base64_decode("TnVtUm93cyBpcyBub3Qgc3VwcG9yd" . "GVk"), "_d64c625486" . "4cf96656eab" . "cea4c48fe51" => base64_decode("c3Fsc3J2X2" . "hhc19yb3dz"), "_78aadcc2e8dfecef37e1f" . "e6d5ffbcdbb" => base64_decode("c3Fsc3J" . "2X2ZldG" . "NoX2Fyc" . "mF5"));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_78aadcc2e8" . "dfecef37e1f" . "e6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_78aadcc2e8d" . "fecef37e1fe6" . "d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_020048b1b65987544" . "bdb5f9afa692a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_a591754a8ddcdbda9c80f1db4d91" . "1e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_d64c6254864cf96656eabc" . "ea4c48fe51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_9a1d01ea56101db4" . "75f6e198f06a4f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}